Subject: Re: TCP-Protection is really a pain...

From: Christian Schmid <[email-masked]>
Date: Thu, 03 Feb 2005 23:29:10 +0100

I turned it off and without it, I was unable to reproduce any stalls anymore.

Jeff Garzik wrote:
> Christian Schmid wrote:
> 
>> What exactly is tcp segmentation offload? Where can I read more about 
>> it? Should I disable it or is this not a good idea?
> 
> 
> It's an optimization designed to reduce CPU usage for zero-copy apps 
> (those that use sendfile(2)).
> 
> It would be a useful datapoint to disable TSO, and see if that improves 
> things for you.
> 
>     Jeff
> 
> 
> 
>